package com.libreecm.db.jpa;

import java.io.Serializable;

public abstract class LibreECMObject implements Serializable{
  
	/** 
	 *   
	 */
	private static final long serialVersionUID = 1L;
  
	/**   
	 * Property showing the object is active for the system.
	 */
	private Boolean active=false;
	 
	/**
	 * Property showing the object is fiscally accessible in this moment. 
	 */
	private Boolean accessible=false;
	
    public boolean getActive(){ 
    	return active;
    }
    
    public void setActive(boolean active){
    	this.active=active;
    }
    
    public boolean getAccessible(){
    	return accessible;
    }
    
    public void setAccessible(boolean accessible){
    	this.accessible=accessible;
    }
    

}
